%define	name	gnome-alsamixer
%define	version	0.9.6
%define	release	1mdk

Name:		%{name}
Summary:	An ALSA mixer for GNOME written for ALSA 0.9.x.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound 
URL:		http://www.paw.co.za/projects/gnome-alsamixer/
Source0:	ftp://ftp.paw.co.za/pub/PAW/sources/%{name}-%{version}.tar.bz2
Source1:	gnome-alsamixer-nb.po.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	alsa-lib-devel >= 0.9.0 desktop-file-utils libgnomeui2-devel

%description
A sound mixer for GNOME2 which is written for the Advanced Linux Sound
Architecture (ALSA), which supports ALSA 0.9.x.

%prep
%setup -q
bzcat %{SOURCE1} > po/nb.po

%build
%configure2_5x
%make
msgfmt po/nb.po -o po/nb.gmo

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -m644 po/nb.gmo -D $RPM_BUILD_ROOT%{_datadir}/locale/nb/LC_MESSAGES/%{name}.mo

# Menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%name): \
	command="%{name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="Multimedia/Sound" \
	title="Gnome-ALSA-Mixer" \
	longtitle="A gnome ALSA Mixer"
EOF

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS INSTALL 
%{_bindir}/%{name}
#%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6-1mdk
- 0.9.6
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- don't bzip2 icons in src.rpm
- cosmetics
- fix buildrequires (lib64..)
- added nb translation (S1, do it manually, wait for merge upstream in stead of patching makefiles)

* Mon Sep  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- fix buildrequires
- new version

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- new version

* Sun Jul 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-6mdk
- rebuild for new ORBit2

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-5mdk
- macro fixes
- fix requires and buildrequires 

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-4mdk
- buildrequires

* Tue Apr 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-3mdk
- fix buildrequires

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-2mdk
- link with latest libopenssl

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new version

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- added menu icons
- from Matthias Debus <psic4t@netbands.de> :
	- initial contrib package
